<?php
/*
نویسنده  : @devbc
کانال  : @zitactm
*/
#-----------------------------#
include ("config.php");
date_default_timezone_set('Asia/Tehran');
error_reporting(0);
#-----------------------------#
#-----------------------------#
define('API_KEY', $token);
#-----------------------------#
$o  = "برگشت";
$oo = "بازگشت";
$h_j = file_get_contents("php://input");
$update = json_decode(file_get_contents("php://input"));
if(isset($update->message)){
    $from_id    = $update->message->from->id;
    $chat_id    = $update->message->chat->id;
    $tc         = $update->message->chat->type;
    $text       = $update->message->text;
    $photo      = $update->message->photo;
    $video      = $update->message->video;
    $first_name = $update->message->from->first_name;
    $message_id = $update->message->message_id;
}elseif(isset($update->callback_query)){
    $chat_id    = $update->callback_query->message->chat->id;
    $data       = $update->callback_query->data;
    $query_id   = $update->callback_query->id;
    $message_id = $update->callback_query->message->message_id;
    $in_text    = $update->callback_query->message->text;
    $from_id    = $update->callback_query->from->id;
}
#-----------------------------#
function bot($method,$datas=[]){
    $url = "https://api.telegram.org/bot".API_KEY."/".$method;
    $ch = curl_init();
    curl_setopt($ch,CURLOPT_URL,$url);
    curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
    curl_setopt($ch,CURLOPT_POSTFIELDS,$datas);
    $res = curl_exec($ch);
    if(curl_error($ch)){
        var_dump(curl_error($ch));
    }else{
        return json_decode($res);
    }
}
#-----------------------------#
function sendmessage($chat_id,$text,$keyboard = null) {
    bot('sendMessage',[
        'chat_id' => $chat_id,
        'text' => $text,
        'parse_mode' => "HTML",
        'disable_web_page_preview' => true,
        'reply_markup' => $keyboard
    ]);
}
#-----------------------------#
function getBotUsername($token) {
$apiUrl = "https://api.telegram.org/bot" . $token . "/getMe";
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $apiUrl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);    
    $responseData = json_decode($response, true);
    $botUsername = $responseData['result']['username'];    
    return $botUsername;
}
#-----------------------------#
function reverseString($input) {
    $output = "";
    $length = mb_strlen($input, 'UTF-8');
    while ($length --) {
        $output .= mb_substr($input, $length, 1, 'UTF-8');
    }
    return $output;
}
#-----------------------------#
function convertToEnglish($input)
{
    $persianDigits = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
    $englishDigits = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9'];
    
    $converted = strtr($input, array_combine($persianDigits, $englishDigits));

    return $converted;
}
#-----------------------------#
if (!is_dir("data")){
mkdir ("data");
}
if (!is_dir("data/user")){
mkdir ("data/user");
}
if (!is_dir("data/statistics")){
mkdir ("data/statistics");
mkdir ("data/statistics/day");
mkdir ("data/statistics/week");
}
if (!is_dir("data/user/$from_id")){
mkdir ("data/user/$from_id");
}
if (!is_dir("data/user/$from_id/database")){
mkdir ("data/user/$from_id/database");
}
if (!is_dir("data/user/$from_id/database/text")){
mkdir ("data/user/$from_id/database/text");
}
if (!is_dir("data/user/$from_id/database/photo")){
mkdir ("data/user/$from_id/database/photo");
}
if (!is_dir("data/user/$from_id/database/video")){
mkdir ("data/user/$from_id/database/video");
}
if (!is_dir("data/user/$from_id/database/voice")){
mkdir ("data/user/$from_id/database/voice");
}
if (!is_dir("data/user/$from_id/database/audio")){
mkdir ("data/user/$from_id/database/audio");
}
if (!is_dir("data/user/$from_id/database/document")){
mkdir ("data/user/$from_id/database/document");
}
#-----------------------------#
if (!file_exists("data/user/$from_id/timer.txt")){
    file_put_contents ("data/user/$from_id/timer.txt",'5');
}
#-----------------------------#
$step = file_get_contents ("data/user/$from_id/step.txt");
$timer = file_get_contents ("data/user/$from_id/timer.txt");
$idbot = getBotUsername($token);
$truechannel = json_decode(file_get_contents("https://api.telegram.org/bot$token/getChatMember?chat_id=@$channel&user_id=".$from_id));
$truechannel1 = json_decode(file_get_contents("https://api.telegram.org/bot$token/getChatMember?chat_id=@$channel1&user_id=".$from_id));
$truechannel2 = json_decode(file_get_contents("https://api.telegram.org/bot$token/getChatMember?chat_id=@$channel2&user_id=".$from_id));
$tch  = $truechannel->result->status;
$tch1 = $truechannel1->result->status;
$tch2 = $truechannel2->result->status;
#-----------------------------#
if($tch != 'member' && $tch != 'creator' && $tch != 'administrator' && $tch1 != 'member' && $tch1 != 'creator' && $tch1 != 'administrator' && $tch2 != 'member' && $tch2 != 'creator' && $tch2 != 'administrator' and $from_id != $admin){
$keybo = json_encode (['inline_keyboard' => [
[['text' => "$channel" , 'url' => "https://t.me/$channel"]],
[['text' => "$channel1" , 'url' => "https://t.me/$channel1"]],
[['text' => "$channel2" , 'url' => "https://t.me/$channel2"]],
[['text' => "جوین شدم" , 'callback_data' => "start"]],
]]);
bot('sendmessage', [
'chat_id' => $chat_id,
'text' => "
*
🫵 سلام جهت استفاده از ربات لطفا ابتدا درون کانال های اسپانسری ما جوین شوید سپس روی دکمه جوین شدم کلیک کنید :
*
",
'parse_mode' => "markdown",
'reply_markup' => $keybo,
]);
exit();
}
#-----------------------------#	
if (preg_match('/^\/start (\d+)$/', $text, $matches)) {
$number = $matches[1];
if ($number >=1000 and $number <=10000){
$a = file_get_contents("data/user/$from_id/database/text/$number");
file_put_contents ("data/statistics/day/$from_id","");
file_put_contents ("data/statistics/week/$from_id","");
sendmessage ($chat_id , "متن ارسالی زیر متن ذخیره شده در ربات است ");
sendmessage ($chat_id , $a);
}

if ($number >=11000 and $number <=21000){
$a = file_get_contents("data/user/$from_id/database/photo/$number");
$b = bot ('sendphoto',[
'chat_id'=>$chat_id,
'photo'=> $a,
])->result->message_id;
sleep ($timer);
bot ('deletemessage',[
'chat_id'=>$chat_id,
'message_id'=> $b,
]);
file_put_contents ("data/statistics/day/$from_id","");
file_put_contents ("data/statistics/week/$from_id","");
}

if ($number >=22000 and $number <=32000){
$a = file_get_contents("data/user/$from_id/database/video/$number");
$b = bot ('sendvideo',[
'chat_id'=>$chat_id,
'video'=> $a,
])->result->message_id;
sleep ($timer);
bot ('deletemessage',[
'chat_id'=>$chat_id,
'message_id'=> $b,
]);
file_put_contents ("data/statistics/day/$from_id","");
file_put_contents ("data/statistics/week/$from_id","");
}

if ($number >=33000 and $number <=43000){
$a = file_get_contents("data/user/$from_id/database/audio/$number");
bot ('sendaudio',[
'chat_id'=>$chat_id,
'audio'=> $a,
]);
file_put_contents ("data/statistics/day/$from_id","");
file_put_contents ("data/statistics/week/$from_id","");
} 

if ($number >=44000 and $number <=54000){
$a = file_get_contents("data/user/$from_id/database/document/$number");
$b = bot ('senddocument',[
'chat_id'=>$chat_id,
'document'=> $a,
])->result->message_id;
sleep ($timer);
bot ('deletemessage',[
'chat_id'=>$chat_id,
'message_id'=> $b,
]);
file_put_contents ("data/statistics/day/$from_id","");
file_put_contents ("data/statistics/week/$from_id","");
} 

}

if ($from_id != $admin){
if ($text == "/start" or $data == "start" or $text == $o){
sendmessage ($chat_id , "سلام لطفا لینک دانلود خود را ارسال کنید تا فایل اپلودی رو به شما تحویل بدم");
file_put_contents ("data/statistics/day/$from_id","");
file_put_contents ("data/statistics/week/$from_id","");
file_put_contents ("data/user/$from_id/step.txt","none");
}
}

#-----------------------------#
if ($from_id == $admin){ //

$key1 = json_encode(['keyboard'=>[
[['text'=>"آپلود رسانه"]],
[['text'=>"آمار ربات"],['text'=>"حذف رسانه"]],
[['text'=>"تایمر حذف"],['text'=>"تنظیم کپشن"]],
[['text'=>"فوروارد همگانی"]],
],'resize_keyboard' =>true]);

$bk = json_encode(['keyboard'=>[
[['text'=>"$oo"]],
],'resize_keyboard' =>true]);
#-----------------------------#
if ($text == "/start" or $text == $oo){
    SendMessage ($chat_id , "سلام ادمین عزیز خوش امدی" , $key1);
    file_put_contents ("data/user/$from_id/step.txt","none");
}

if ($text == "تایمر حذف"){
    SendMessage ($chat_id , "لطفا یک عدد بین ۱ تا ۲۰ انتخاب کنید برای حذف رسانه " , $bk);
    file_put_contents ("data/user/$from_id/step.txt","ok_t");
}
if ($step == "ok_t" and $text != $oo){
    $text = convertToEnglish($text);
    if (!is_numeric($text)){
        SendMessage ($chat_id , "لطفا از اعداد استفاده کنید" , $bk);
        file_put_contents ("data/user/$from_id/step.txt","none");
    }else{
    SendMessage ($chat_id , "تایمر روی $text ثانیه ذخیره شد" , $bk);
    file_put_contents ("data/user/$from_id/timer.txt",$text);
    file_put_contents ("data/user/$from_id/step.txt","none");
}
}

if ($text == "حذف رسانه"){
    SendMessage ($chat_id , "لطفا کد رسانه خود را ارسال کنید :" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","dlme");
}
if ($step == "dlme" and $text != $oo){
    $text = convertToEnglish($text);
    
    if ($text >=1000 and $text <=10000){
    if (!file_exists("data/user/$from_id/database/text/$text")){
    sendmessage ($chat_id , "این فایل وجود ندارد یا توسط شما اپلود نشده است" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }else{
        unlink ("data/user/$from_id/database/text/$text");
        sendmessage ($chat_id , "فایل با کد $text با موفقیت پاک شد" , $bk);
        file_put_contents ("data/user/$from_id/step.txt","none");
        }
        }
        
        if ($text >=11000 and $text <=21000){
    if (!file_exists("data/user/$from_id/database/photo/$text")){
    sendmessage ($chat_id , "این فایل وجود ندارد یا توسط شما اپلود نشده است" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }else{
        unlink ("data/user/$from_id/database/photo/$text");
        sendmessage ($chat_id , "فایل با کد $text با موفقیت پاک شد" , $bk);
        file_put_contents ("data/user/$from_id/step.txt","none");
        }
        }
        
        if ($text >=22000 and $text <=32000){
    if (!file_exists("data/user/$from_id/database/video/$text")){
    sendmessage ($chat_id , "این فایل وجود ندارد یا توسط شما اپلود نشده است" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }else{
        unlink ("data/user/$from_id/database/video/$text");
        sendmessage ($chat_id , "فایل با کد $text با موفقیت پاک شد" , $bk);
        file_put_contents ("data/user/$from_id/step.txt","none");
        }
        }
    
    if ($text >=33000 and $text <=43000){
    if (!file_exists("data/user/$from_id/database/audio/$text")){
    sendmessage ($chat_id , "این فایل وجود ندارد یا توسط شما اپلود نشده است" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }else{
        unlink ("data/user/$from_id/database/audio/$text");
        sendmessage ($chat_id , "فایل با کد $text با موفقیت پاک شد" , $bk);
        file_put_contents ("data/user/$from_id/step.txt","none");
        }
        }
        
        if ($text >=44000 and $text <=54000){
    if (!file_exists("data/user/$from_id/database/document/$text")){
    sendmessage ($chat_id , "این فایل وجود ندارد یا توسط شما اپلود نشده است" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }else{
        unlink ("data/user/$from_id/database/document/$text");
        sendmessage ($chat_id , "فایل با کد $text با موفقیت پاک شد" , $bk);
        file_put_contents ("data/user/$from_id/step.txt","none");
        }
        }
    
}

if ($text == "آپلود رسانه"){
    SendMessage ($chat_id , "لطفا عکس ، فیلم ، فایل ، ویس یا متن خود را جهت ذخیره سازی در ربات ارسال کنید :" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","upload");
}

if ($step == "upload" and $text != $oo){
    if ($text){
    $rand = rand (1000,10000);
    file_put_contents ("data/user/$from_id/database/text/$rand",$text);
    SendMessage ($chat_id , "
    لینک شما ساخته شد 👇
    https://t.me/$idbot?start=$rand
    
    کد $rand را به خاطر بسپارید برای حذف رسانه به این کد نیازمند این کد هستید .
    " , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }
    if ($update->message->photo){
    $rand = rand (11000,21000);
     $file_id = $update->message->photo[count($update->message->photo) - 1]->file_id;
    file_put_contents ("data/user/$from_id/database/photo/$rand",$file_id);
    SendMessage ($chat_id , "
    لینک شما ساخته شد 👇
    https://t.me/$idbot?start=$rand
    
    کد $rand را به خاطر بسپارید برای حذف رسانه به این کد نیازمند این کد هستید .
    " , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }
    if ($update->message->video){
    $rand = rand (22000,32000);
    $file_id = $update->message->video->file_id;
    file_put_contents ("data/user/$from_id/database/video/$rand",$file_id);
    SendMessage ($chat_id , "
    لینک شما ساخته شد 👇
    https://t.me/$idbot?start=$rand
    
    کد $rand را به خاطر بسپارید برای حذف رسانه به این کد نیازمند این کد هستید .
    " , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }
    if ($update->message->audio){
    $rand = rand (33000,43000);
    $file_id = $update->message->video->audio;
    file_put_contents ("data/user/$from_id/database/audio/$rand",$file_id);
    SendMessage ($chat_id , "
    لینک شما ساخته شد 👇
    https://t.me/$idbot?start=$rand
    
    کد $rand را به خاطر بسپارید برای حذف رسانه به این کد نیازمند این کد هستید .
    " , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }
    if ($update->message->document){
    $rand = rand (44000,54000);
    $file_id = $update->message->video->document;
    file_put_contents ("data/user/$from_id/database/document/$rand",$file_id);
    SendMessage ($chat_id , "
    لینک شما ساخته شد 👇
    https://t.me/$idbot?start=$rand
    
    کد $rand را به خاطر بسپارید برای حذف رسانه به این کد نیازمند این کد هستید .
    " , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
    exit();
    }
}

if ($text == "آمار ربات"){
$scan1 = scandir ("data/user");
$scan2 = scandir ("data/statistics/week");
$scan3 = scandir ("data/statistics/day");
$allusers = count ($scan1) - 2;
$weekusers = count ($scan2) - 2;
$dayusers = count ($scan3) - 2;
SendMessage ($chat_id , "
آمار کلی ربات شما :

مجموع کل کاربران : $allusers نفر
مجموع کاربران یک هفته اخیر : $weekusers نفر
مجموع کاربران فعال امروز : $dayusers نفر
" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
}

if ($text == "تنظیم کپشن"){
    SendMessage ($chat_id , "اپدیت بعدی" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
}

if ($text == "فوروارد همگانی"){
    SendMessage ($chat_id , "لطفا پست خود را برای من فوروارد کنید" , $bk);
    file_put_contents ("data/user/$from_id/step.txt","forall");
}
if ($step == "forall" and $text != $oo and $text != "/start"){
    $allmmber = scandir ("data/user");
    sendmessage ($chat_id , "پیام شما در حال ارسال است لطفا به ربات دستور دیگری ندهید !");
    foreach ($allmmber as $sendall){
    bot('forwardMessage',[
    'from_chat_id'=> $from_id,
    'message_id'=> $message_id,
    'chat_id'=> $sendall,
    ]);
    }
        sendmessage ($chat_id , "✅ پیام شما با موفقیت ارسال شد ‌." , $bk);
    file_put_contents ("data/user/$from_id/step.txt","none");
}
#-----------------------------#
} //
#-----------------------------#
/*
نویسنده  : @devbc
کانال  : @zitactm
*/
?>